import 'package:hive/hive.dart';

Box meetingBox;
Box stateBox;     //'FirstAccess' -> [n,y]

class HiveDBHelper{

  static initMyHiveDB() async{
    if(meetingBox==null){
      meetingBox=await Hive.openBox("MeetingsToJoin");
    }
    if(stateBox==null){
      stateBox=await Hive.openBox("StateAndSettings");
    }
  }

  static Box getBox(){
    return meetingBox;
  }

  static void registerMeeting(String id){
    if(!meetingBox.containsKey(id)){
      meetingBox.put(id, "y");  //y means that you'll join the meeting
    }
    String val=meetingBox.get(id);
    if(val.compareTo("n")==0){
      meetingBox.delete(id);
      meetingBox.put(id, "y");
    }

  }

  static void deleteMeeting(String id){
    meetingBox.delete(id);
    meetingBox.put(id, "n");  //n means that you won't join the meeting
  }

  static bool hasJoined(String id){
    if(!meetingBox.containsKey(id)){
      return false;
    }
    String val=meetingBox.get(id);
    if(val.compareTo("y")==0){
      return true;
    }
    return false;
  }

  static void updateAccess(){
    if(!stateBox.containsKey("FirstAccess")){
      stateBox.put("FirstAccess", "n");
    }else{
      stateBox.delete("FirstAccess");
      stateBox.put("FirstAccess", "n");
    }
  }

  /*static void updateVersion(){

  }*/

  static bool isFirstAccess(){
    if(!stateBox.containsKey("FirstAccess")){
      return true;
    }
    String val=stateBox.get("FirstAccess");
    if(val.compareTo("y")==0){
      return true;
    }
    return false;
  }

  /*static String getVersion(){

  }*/

}

