import 'package:we_clean_project/privacyPolicyPage.dart';
import 'package:introduction_screen/introduction_screen.dart';
import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'dart:io';
import 'dart:convert';
//import 'dart:async';
import 'constants.dart' as constants;
import 'dart:ui';
import 'package:auto_size_text/auto_size_text.dart';
import 'package:we_clean_project/hiveDBHelper.dart';

class IntroPage extends StatefulWidget {
  @override
  _IntroPage createState() => _IntroPage();
}

class _IntroPage extends State<IntroPage> {
  final introKey = GlobalKey<IntroductionScreenState>();

  void _onIntroEnd(context) {
    HiveDBHelper.updateAccess();
    Navigator.pop(context);
  }

  Widget _buildImage(String assetName) {
    return Padding(
      padding: EdgeInsets.all(16),
      child: Image.asset(assetName, width: 350.0),
      //alignment: Alignment.bottomCenter,
    );
  }

  @override
  Widget build(BuildContext context) {
    const bodyStyle = TextStyle(fontSize: 19.0);
    const pageDecoration = const PageDecoration(
      titleTextStyle: TextStyle(fontSize: 28.0, fontWeight: FontWeight.w700),
      bodyTextStyle: bodyStyle,
      descriptionPadding: EdgeInsets.fromLTRB(16.0, 0.0, 16.0, 16.0),
      pageColor: Colors.white,
      imagePadding: EdgeInsets.zero,
    );

    return IntroductionScreen(
      key: introKey,
      pages: [
        PageViewModel(
          bodyWidget: SafeArea(
            left: true,
            top: true,
            right: true,
            bottom: true,
            minimum: const EdgeInsets.all(16.0),
            child: Column(
              children: <Widget>[
                Container(
                  height: 200,
                  width: 200,
                  decoration: BoxDecoration(
                    //color: Colors.blueGrey[600],
                    borderRadius: BorderRadius.circular(20),
                   /* image: DecorationImage(

                      image: AssetImage(
                          "assets/logo.png"),
                      fit: BoxFit.fitHeight,
                    ),*/
                  ),
                ),
                SizedBox(height: 20,),
                Text("La nuova applicazione per condividere i sogni! Racconta ciò che hai sognato e leggi ciò che gli altri sognano.", textAlign: TextAlign.center, style: TextStyle(color: Colors.white, fontSize: 20, ),)
              ],
            ),
          ),
          //titleWidget: Text("InSogno"),
          title: "",
          //body:"La nuova applicazione per condividere i sogni! Racconta ciò che hai sognato e leggi ciò che gli altri sognano.",
          //image: _buildImage("assets/dream.png"),
          decoration: PageDecoration(
            //pageColor: Colors.blueGrey,
            pageColor: constants.DARK_GREEN,
            titleTextStyle: TextStyle(color: Colors.white, fontWeight: FontWeight.bold, fontSize: 30),
            bodyTextStyle: TextStyle(color:Colors.white, fontSize: 20),
          ),
        ),
        PageViewModel(
          bodyWidget: SafeArea(
            left: true,
            top: true,
            right: true,
            bottom: true,
            minimum: const EdgeInsets.all(16.0),
            child: Column(
              children: <Widget>[
                Container(
                  height: 200,
                  width: 200,
                  decoration: BoxDecoration(
                    //color: Colors.blueGrey[600],
                    borderRadius: BorderRadius.circular(20),
                    /*image: DecorationImage(

                      image: AssetImage(
                          "assets/share.png"),
                      fit: BoxFit.fitHeight,
                    ),*/
                  ),
                ),
                SizedBox(height: 20,),
                Text("Condividi i tuoi sogni, leggi e commenta quelli degli altri!", textAlign: TextAlign.center, style: TextStyle(color: Colors.white, fontSize: 20, ),)
              ],
            ),
          ),
          title: "",
          decoration: PageDecoration(
            pageColor: constants.DARK_GREEN,
            //pageColor: Colors.blueGrey,
            titleTextStyle: TextStyle(color: Colors.white, fontWeight: FontWeight.bold, fontSize: 30),
            bodyTextStyle: TextStyle(color:Colors.white, fontSize: 20),
          ),
        ),
        PageViewModel(
          bodyWidget: SafeArea(
            left: true,
            top: true,
            right: true,
            bottom: true,
            minimum: const EdgeInsets.all(16.0),
            child: Column(
              children: <Widget>[
                Container(
                  height: 200,
                  width: 200,
                  decoration: BoxDecoration(
                    //color: Colors.blueGrey[600],
                    borderRadius: BorderRadius.circular(20),
                   /* image: DecorationImage(

                      image: AssetImage(
                          "assets/metooimage.png"),
                      fit: BoxFit.fitHeight,
                    ),*/
                  ),
                ),
                SizedBox(height: 20,),
                Text("Utilizza i Me-Too per dire agli altri che il sogno appena letto lo hai fatto anche te!",  textAlign: TextAlign.center, style: TextStyle(color: Colors.white, fontSize: 20, ),),
                SizedBox(height: 20,),
                Icon(Icons.cloud_queue, color: Colors.white, size: 50,),
              ],
            ),
          ),
          title: "",
          decoration: PageDecoration(
            pageColor: constants.DARK_GREEN,
            //pageColor: Colors.blueGrey,
            titleTextStyle: TextStyle(color: Colors.white, fontWeight: FontWeight.bold, fontSize: 30),
            bodyTextStyle: TextStyle(color:Colors.white, fontSize: 20),
          ),
        ),
        PageViewModel(
          bodyWidget: SafeArea(
            left: true,
            top: true,
            right: true,
            bottom: true,
            minimum: const EdgeInsets.all(16.0),
            child: Column(
              children: <Widget>[
                Container(
                  height: 200,
                  width: 200,
                  decoration: BoxDecoration(
                    //color: Colors.blueGrey[600],
                    borderRadius: BorderRadius.circular(20),
                    /*image: DecorationImage(

                      image: AssetImage(
                          "assets/growth.png"),
                      fit: BoxFit.fitHeight,
                    ),*/
                  ),
                ),
                SizedBox(height: 20,),
                Text("Crea un tuo nickname ed inizia subito a condividere! Più sognerai più salirai di livello!", textAlign: TextAlign.center, style: TextStyle(color: Colors.white, fontSize: 20, ),)
              ],
            ),
          ),
          title: "",
          decoration: PageDecoration(
            pageColor: constants.DARK_GREEN,
            //pageColor: Colors.blueGrey,
            titleTextStyle: TextStyle(color: Colors.white, fontWeight: FontWeight.bold, fontSize: 30),
            bodyTextStyle: TextStyle(color:Colors.white, fontSize: 20),
          ),
        ),
        PageViewModel(
          bodyWidget: SafeArea(
            left: true,
            top: true,
            right: true,
            bottom: true,
            minimum: const EdgeInsets.all(16.0),
            child: Column(
              children: <Widget>[
                Container(
                  height: 200,
                  width: 200,
                  decoration: BoxDecoration(
                    //color: Colors.blueGrey[600],
                    borderRadius: BorderRadius.circular(20),
                    /*image: DecorationImage(

                      image: AssetImage(
                          "assets/speak.png"),
                      fit: BoxFit.fitHeight,
                    ),*/
                  ),
                ),
                SizedBox(height: 20,),
                Text("Comportati bene! Utilizza un linguaggio appropriato, non condividere informazioni personali e prima di creare un tuo Nickname leggi premendo il link qui sotto la Privacy Policy e le Condizioni di Utilizzo:",  textAlign: TextAlign.center, style: TextStyle(color: Colors.white, fontSize: 20, ),),
                SizedBox(height: 20,),
                /*Container(
                  width: 150,
                  height: 40,
                  decoration: BoxDecoration(
                    color: Colors.blueGrey[300],
                    borderRadius: BorderRadius.circular(20),
                  ),*/
                GestureDetector( onTap: () {Navigator.push(this.context, MaterialPageRoute(builder: (context) => PrivacyPolicy())); }, child: Center( child: Text("Privacy Policy e Condizioni di Utilizzo",  textAlign: TextAlign.center, style: TextStyle(color: Colors.blue, fontSize: 16 ),)), ),



                // ),
                SizedBox(height: 20,),
                Text("Creando un account si accettano la Privacy Policy e le Condizioni di Utilizzo descritte nel link sovrastante",  textAlign: TextAlign.center, style: TextStyle(color: Colors.white, fontSize: 14, ),),
              ],
            ),
          ),
          title: "",
          decoration: PageDecoration(
            pageColor: constants.DARK_GREEN,
            //pageColor: Colors.blueGrey,
            titleTextStyle: TextStyle(color: Colors.white, fontWeight: FontWeight.bold, fontSize: 30),
            bodyTextStyle: TextStyle(color:Colors.white, fontSize: 20),
          ),
        ),
      ],
      onDone: () => _onIntroEnd(context),
      //onSkip: () => _onIntroEnd(context), // You can override onSkip callback
      showSkipButton: true,
      skipFlex: 0,
      nextFlex: 0,
      skip: const Text('Salta', style: TextStyle(color: Colors.white),),
      next: const Icon(Icons.arrow_forward, color: Colors.white,),
      done: const Text('Fatto', style: TextStyle(color: Colors.white)),
      dotsDecorator: const DotsDecorator(
        size: Size(10.0, 10.0),
        color: Color(0xFFBDBDBD),
        activeSize: Size(22.0, 10.0),
        activeShape: RoundedRectangleBorder(
          borderRadius: BorderRadius.all(Radius.circular(25.0)),
        ),
      ),
    );
  }
}