import 'package:flutter/cupertino.dart';
import 'package:flutter/gestures.dart';
import 'package:flutter/material.dart';
import 'dart:ui';
import 'package:url_launcher/url_launcher.dart';
import 'constants.dart' as constants;

class PrivacyPolicy extends StatefulWidget {

  @override
  _PrivacyPolicy createState() => _PrivacyPolicy();
}

class _PrivacyPolicy extends State<PrivacyPolicy>{

  launchURL(String url) async {
    if (await canLaunch(url)) {
      await launch(url);
    } else {
      throw 'Could not launch $url';
    }
  }

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      backgroundColor: constants.DARK_GREEN,
      //backgroundColor: Colors.blueGrey[600],
      body: SafeArea(
        left: true,
        top: true,
        right: true,
        bottom: true,
        child:Column(

          children: <Widget>[
            Stack(
              children: <Widget>[

                Positioned(
                  child: Container(
                    height: 20,
                    color: constants.DARK_GREEN,
                  ),
                ),
                Positioned(
                  child:Container(
                      height: 50,
                      decoration: BoxDecoration(
                        color: constants.DARK_GREEN,
                        //color: Colors.blueGrey,
                        borderRadius: BorderRadius.circular(20),
                      ),
                      child: Align(
                          alignment: Alignment.bottomCenter,
                          child: Image(
                            height: 40,
                            image: AssetImage("assets/TitoloHeader.png"),
                          )
                      )
                  ),
                ),
                Padding(
                  padding: EdgeInsets.only(left: 16.0, right: 16.0, bottom: 16.0, top: 16.0),
                  child: new GestureDetector(onTap: () { Navigator.pop(context);}, child: Icon(Icons.arrow_back, color: Colors.white,)),
                ),
              ],

            ),
            SizedBox(height: 10,),
            new Expanded(
              flex: 1,
              child: Padding(
                padding: EdgeInsets.only(left: 16, right: 16, bottom: 16),


                child:new SingleChildScrollView(
                    scrollDirection: Axis.vertical,//.horizontal
                    child:RichText(
                        text: new TextSpan(
                          children: [
                            TextSpan(
                              text: "Privacy Policy",
                              style: new TextStyle(color: Colors.white, fontWeight: FontWeight.bold, fontSize: 20),
                            ),
                            TextSpan(
                              text: "\n\nAndrea Pasin & Gabriele Zampieri hanno creato l’app MyDream come una app finanziata tramite gli annunci. Questo servizio è fornito senza costi. Questa pagina è utilizzata per informare gli utenti riguardo la politica di collezione, utilizzo e la divulgazione di informazioni personali se si desidera utilizzare questo servizio. Se utilizzi questo servizio allora accetti la raccolta e l’utilizzo delle informazioni come specificato in questa pagina. Le informazioni personali che vengono raccolte servono esclusivamente per permettere il corretto funzionamento del servizio. Non saranno condivise o utilizzate in modi diversi da quelli qui specificati.",
                              style: new TextStyle(color: Colors.white,),
                            ),
                            TextSpan(
                              text: "\n\nUtilizzo e raccolta delle informazioni",
                              style: new TextStyle(color: Colors.white, fontWeight: FontWeight.bold),
                            ),
                            TextSpan(
                              text: "\nVengono salvate le informazioni da voi condivise quali testi, immagini, video, audio. Vengono inoltre salvate le posizioni degli incontri fissate da voi utenti, le quali non hanno a che fare con la posizione attuale fisica di voi utenti. Non ci assumiamo la responsabilità dei contenuti da voi postati e nel caso riscontriate dei contenuti offensivi o con informazioni personali siete pregati di contattarci e provvedremo alla verifica e all’eventuale eliminazione dei contenuti. L’app utilizza servizi di terze parti che potrebbero collezionare informazioni per identificarti. Le ulteriori privacy policy dei servizi di terze parti sono fornite nei seguenti link:",
                              style: new TextStyle(color: Colors.white),
                            ),
                            TextSpan(
                              text: "\n\n•	Google Play Services",
                              style: new TextStyle(color: Colors.blue),
                              recognizer: new TapGestureRecognizer()..onTap = () => launchURL("https://policies.google.com/privacy"),
                            ),
                            TextSpan(
                              text: "\n\n•	AdMob",
                              style: new TextStyle(color: Colors.blue),
                              recognizer: new TapGestureRecognizer()..onTap = () => launchURL("https://support.google.com/admob/answer/6128543?hl=en"),
                            ),
                            TextSpan(
                              text: "\n\n•	Google Analytics for Firebase",
                              style: new TextStyle(color: Colors.blue),
                              recognizer: new TapGestureRecognizer()..onTap = () => launchURL("https://firebase.google.com/policies/analytics"),
                            ),
                            TextSpan(
                              text: "\n\nDati di Log",
                              style: new TextStyle(color: Colors.white, fontWeight: FontWeight.bold),
                            ),
                            TextSpan(
                              text: "\nDesideriamo informare inoltre che durante l’utilizzo del servizio, in caso di errore all’interno dell’App, vengono collezionati i dati e le informazioni attraverso prodotti di terze parti all’interno del telefono. Queste informazioni sono chiamate Log Data e possono includere l’indirizzo IP del proprio dispositivo, il nome del dispositivo, la versione del sistema operativo, la configurazione dell’app quando si utilizza il servizio, l’orario e la data dell’utilizzo del servizio e altre informazioni statistiche.",
                              style: new TextStyle(color: Colors.white),
                            ),
                            TextSpan(
                              text: "\n\nCookies",
                              style: new TextStyle(color: Colors.white, fontWeight: FontWeight.bold),
                            ),
                            TextSpan(
                              text: "\nI Cookies sono file con un piccolo quantitativo di dati che sono utilizzati solitamente come identificatori univoci anonimi. Questi sono inviati al browser dai siti web che visiti e sono salvati all’interno del proprio dispositivo. In questo servizio non vengono utilizzati Cookies in maniera esplicita, tuttavia l’app potrebbe utilizzare codice di terze parti e librerie che utilizzano Cookies per migliorare i loro servizi. Per usufruire del nostro servizio nel complesso è necessario accettare l’utilizzo di eventuali Cookies di terze parti.",
                              style: new TextStyle(color: Colors.white),
                            ),
                            TextSpan(
                              text: "\n\nFornitori del servizio",
                              style: new TextStyle(color: Colors.white, fontWeight: FontWeight.bold),
                            ),
                            TextSpan(
                              text: "\nPotrebbero essere assunti individui o aziende di terze parti per le seguenti ragioni:\n•	Facilitare il nostro servizio \n•	Assisterci nell’analisi di come viene utilizzato il nostro servizio \nQueste terze parti hanno accesso alle vostre informazioni personali per eseguire compiti assegnati da noi al fine di rendere migliore e più efficace il nostrso servizio. Tuttavia sono obbligati a non discutere, divulgare o utilizzare le vostre informazioni a ciascuno scopo.",
                              style: new TextStyle(color: Colors.white),
                            ),
                            TextSpan(
                              text: "\n\nSicurezza",
                              style: new TextStyle(color: Colors.white, fontWeight: FontWeight.bold),
                            ),
                            TextSpan(
                              text: "\nValorizziamo la vostra sicurezza cercando di utilizzare metodi per proteggere i vostri dati, però è necessario ricordare che nessun metodo di trasmissione via internet o di salvataggio elettronico di dati è sicuro al 100% e non possiamo assicurare la sua sicurezza assoluta.",
                              style: new TextStyle(color: Colors.white),
                            ),
                            TextSpan(
                              text: "\n\nLink ad altri siti",
                              style: new TextStyle(color: Colors.white, fontWeight: FontWeight.bold),
                            ),
                            TextSpan(
                              text: "\nQuesto servizio potrebbe contenere link ad altri siti. Se si clicca in un link di terze parti si verrà diretti a tale sito. Siti di terze parti non sono gestiti da noi e quindi consigliamo fortemente di leggere la loro privacy policy prima di fruirne. Non abbiamo nessun controllo di questi siti e non assumiamo la responsabilità del loro contenuto, delle loro privacy policies e delle loro pratiche di utilizzo.",
                              style: new TextStyle(color: Colors.white),
                            ),
                            TextSpan(
                              text: "\n\nPrivacy dei bambini",
                              style: new TextStyle(color: Colors.white, fontWeight: FontWeight.bold),
                            ),
                            TextSpan(
                              text: "\nQuesto servizio non è indicato per bambini di età inferiore a 13 anni. Non collezioniamo informazioni personali volontariamente di bambini al di sotto di 13 anni di età. Nel caso venisse scoperto che un bambino al di sotto di 13 anni ha inviato sue informazioni personali, si provvedrà all’eliminazione dai nostri server di tali informazioni. Se sei un genitore e sei a conoscenza che tuo figlio ci ha inviato informazioni personali, sei invitato ad informarci mediante l’indirizzo email andreapasin.info.app@gmail.com e faremo le azioni possibili per eliminare tali informazioni.",
                              style: new TextStyle(color: Colors.white),
                            ),
                            TextSpan(
                              text: "\n\nCambiamenti alla privacy policy",
                              style: new TextStyle(color: Colors.white, fontWeight: FontWeight.bold),
                            ),
                            TextSpan(
                              text: "\nQuesta privacy policy potrebbe essere aggiornata. Si è invitati a leggere questa pagina periodicamente per eventuali cambiamenti. Tali cambiamenti saranno notificati postando eventuali modifiche in questa pagina.\nQuesta privacy policy è effettiva dal 31/07/2020.",
                              style: new TextStyle(color: Colors.white),
                            ),
                            TextSpan(
                              text: "\n\nContattaci",
                              style: new TextStyle(color: Colors.white, fontWeight: FontWeight.bold),
                            ),
                            TextSpan(
                              text: "\nSe si hanno eventuali domande o suggerimenti non esitate a contattarci all’indirizzo andreapasin.info.app@gmail.com. ",
                              style: new TextStyle(color: Colors.white),
                            ),
                            TextSpan(
                              text: "\n\n\nCondizioni di Utilizzo",
                              style: new TextStyle(color: Colors.white, fontWeight: FontWeight.bold, fontSize: 20),
                            ),
                            TextSpan(
                              text: "\n\nRegistrazione",
                              style: new TextStyle(color: Colors.white, fontWeight: FontWeight.bold),
                            ),
                            TextSpan(
                              text: "\nPer poter utilizzare l’applicazione, gli utenti non devono registrarsi in quanto vige l'anonimato. Tuttavia si potrà utilizzare il servizio dopo aver preso visione e accettato integralmente la privacy policy e le presenti condizioni di utilizzo.",
                              style: new TextStyle(color: Colors.white),
                            ),
                            /*TextSpan(
                              text: "\n\nCancellazione account",
                              style: new TextStyle(color: Colors.white, fontWeight: FontWeight.bold),
                            ),
                            TextSpan(
                              text: "\nL’utente può interrompere il servizio in qualsiasi momento richiedendo la cancellazione attraverso una comunicazione all’indirizzo email andreapasin.info.app@gmail.com . In caso di violazione delle condizioni di utilizzo o delle disposizioni di legge applicabili, può avvenire la sospensione oppure la cancellazione dell’account dell’utente.",
                              style: new TextStyle(color: Colors.white),
                            ),*/
                            TextSpan(
                              text: "\n\nEtà minima ",
                              style: new TextStyle(color: Colors.white, fontWeight: FontWeight.bold),
                            ),
                            TextSpan(
                              text: "\nL’utilizzo dell’applicazione è riservato agli utenti che hanno compiuto almeno 18 anni di età oppure agli utenti supervisionati da un genitore o chi ne fa le veci.",
                              style: new TextStyle(color: Colors.white),
                            ),
                            TextSpan(
                              text: "\n\nContenuti inviati ",
                              style: new TextStyle(color: Colors.white, fontWeight: FontWeight.bold),
                            ),
                            TextSpan(
                              text: "\nL’utente può caricare materiale sull’applicazione (testi, informazioni, contenuti) purchè il contenuto non sia illecito ossia intimidatorio, pornografico, osceno, diffamatorio, che inneggi al razzismo e alla violenza. I contenuti inoltre non devono violare i diritti di proprietà intellettuale, la privacy ed inoltre non devono contenere informazioni private dell’utente stesso o di terzi. È inoltre vietata la propaganda politica e qualsiasi forma di spam. \nL’utente è totalmente ed esclusivamente responsabile dell’utilizzo dell’applicazione inteso come la pubblicazione e consultazione di contenuti ed eventuale contatto e comportamento nei confronti di terzi. \nVerranno effettuati controlli sui contenuti ricevuti e saranno effettuate cancellazioni nel caso in cui si ritenga che violino le condizioni di utilizzo dell’applicazione stessa. \nÈ vietato utilizzare le credenziali di altri utenti o dichiarare il falso sull’origine dei contenuti. \nViene preso quindi atto dall’utente che eventuali contenuti inviati sono di proprietà dei creatori dell’applicazione stessa i quali si riserveranno di diffonderli, memorizzarli, modificarli e rimuoverli secondo le necessità dell’applicazione stessa. \nÈ vietato l’utilizzo di sistemi automatici di caricamento di contenuti da parte degli utenti. \nL’utente rinuncia ad ogni diritto materiale e morale sui contenuti inviati. \nI creatori dell’app sono esenti da ogni responsabilità per la perdita, modifica o distruzione dei contenuti trasmessi. ",
                              style: new TextStyle(color: Colors.white),
                            ),
                            TextSpan(
                              text: "\n\nEsclusione della Garanzia ",
                              style: new TextStyle(color: Colors.white, fontWeight: FontWeight.bold),
                            ),
                            TextSpan(
                              text: "\nL’applicazione è fornita “così come è disponibile” e non vengono fornite garanzie in relazione all’applicazione.\nPotranno esserci interruzioni di servizio e sarà possibile riscontrare errori, virus o bug.\nSi cercherà di mantenere l’applicazione disponibile 24 ore al giorno ma non viene assunta la responsabilità della mancata accessibilità all’applicazione. Possono esserci infatti guasti al sistema e manutenzioni che potrebbero rendere l’applicazione irraggiungibile per alcuni periodi di tempo.",
                              style: new TextStyle(color: Colors.white),
                            ),
                            TextSpan(
                              text: "\n\nLimitazione delle responsabilità ",
                              style: new TextStyle(color: Colors.white, fontWeight: FontWeight.bold),
                            ),
                            TextSpan(
                              text: "\nNon viene assunta la responsabilità per disservizi o malfunzionamenti dell’applicazione.\nNon viene inoltre assunta la responsabilità per l’eventuale uso illecito che può essere fatto da parte di terzi dell’applicazione stessa.\nL’utente s’impegna a garantire l’indennità da qualsiasi obbligo o responsabilità dei creatori dell’applicazione in relazione ai danni provocati ad/da altri utenti.\nNon viene assunta la responsabilità di ogni perdita di opportunità commerciale e di errato utilizzo dell’applicazione.",
                              style: new TextStyle(color: Colors.white),
                            ),
                            TextSpan(
                              text: "\n\nSiti di terzi",
                              style: new TextStyle(color: Colors.white, fontWeight: FontWeight.bold),
                            ),
                            TextSpan(
                              text: "\nL’applicazione potrebbe avere al suo interno dei collegamenti a siti di terze parti.\nNon viene esercitato il controllo su tali siti e di conseguenza non viene assunta la responsabilità dei loro contenuti.\nAlcuni di questi collegamenti potrebbero a loro volta avere collegamenti ad ulteriori siti di terzi.\nNei siti di terzi vigono le condizioni generali per l’uso predisposte dai siti stessi e non viene assunta alcuna responsabilità in merito.",
                              style: new TextStyle(color: Colors.white),
                            ),
                            /*new TextSpan(
                      text: 'but this is',
                      style: new TextStyle(color: Colors.blue),
                      recognizer:
                  ),*/
                          ],
                        )
                    )
                ),
              ),
            ),
          ],

        ),
      ),
    );
  }
}
